{ self, ... }: {
  flake.homeManagerModules.wisdomShellBash =
    { config, lib, ... }:
    let
      root = config.chiasson.home;
      cfg = config.chiasson.home.shell.bash;
      rbw = self.lib.rbwSshSocket;
    in
    {
      options.chiasson.home.shell.bash.enable = lib.mkEnableOption "Bash + rbw SSH socket env in profile/init." // {
        default = true;
      };

      config = lib.mkIf (root.enable && cfg.enable) {
        programs.bash = {
          enable = true;
          profileExtra = rbw.bashSnippet;
          initExtra = rbw.bashSnippet;
        };
      };
    };
}
